/*
 * @description:CSRF 相关设置
 * @Author: CP
 * @Date: 2020-08-28 15:47:10
 * @FilePath: \construction_management\web\middleware\csrf.go
 */
package middleware

import (
	"github.com/iris-contrib/middleware/csrf"
	"github.com/kataras/iris/v12"
)

//设置CSRF信息
func SetCsrf(ctx iris.Context) {
	//ctx.Header("X-CSRF-Token", csrf.Token(ctx))
	ctx.Header("X-CSRF-TOKEN", csrf.Token(ctx))
	// fmt.Println(csrf.Token(ctx))

	ctx.ViewData(csrf.TemplateTag, csrf.TemplateField(ctx))
	ctx.Next()
}
